DualTVL1OpticalFlow (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.video

## Class DualTVL1OpticalFlow

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.video.DenseOpticalFlow
    - - org.opencv.video.DualTVL1OpticalFlow

-     public class DualTVL1OpticalFlow
      extends DenseOpticalFlow

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DualTVL1OpticalFlow(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DualTVL1OpticalFlow` | `__fromPtr__(long addr)`
    `static DualTVL1OpticalFlow` | `create()`
    `static DualTVL1OpticalFlow` | `create(double tau, double lambda, double theta, int nscales, int warps, double epsilon, int innnerIterations, int outerIterations, double scaleStep, double gamma, int medianFiltering, boolean useInitialFlow)`
    `protected void` | `finalize()`
    `double` | `getEpsilon()`
    `double` | `getGamma()`
    `int` | `getInnerIterations()`
    `double` | `getLambda()`
    `int` | `getMedianFiltering()`
    `int` | `getOuterIterations()`
    `int` | `getScalesNumber()`
    `double` | `getScaleStep()`
    `double` | `getTau()`
    `double` | `getTheta()`
    `boolean` | `getUseInitialFlow()`
    `int` | `getWarpingsNumber()`
    `void` | `setEpsilon(double val)`
    `void` | `setGamma(double val)`
    `void` | `setInnerIterations(int val)`
    `void` | `setLambda(double val)`
    `void` | `setMedianFiltering(int val)`
    `void` | `setOuterIterations(int val)`
    `void` | `setScalesNumber(int val)`
    `void` | `setScaleStep(double val)`
    `void` | `setTau(double val)`
    `void` | `setTheta(double val)`
    `void` | `setUseInitialFlow(boolean val)`
    `void` | `setWarpingsNumber(int val)`

    - ### Methods inherited from class org.opencv.video.DenseOpticalFlow

      `calc, collectGarbage`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DualTVL1OpticalFlow

          protected DualTVL1OpticalFlow(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DualTVL1OpticalFlow __fromPtr__(long addr)

    - #### create

          public static DualTVL1OpticalFlow create(double tau,
                                                   double lambda,
                                                   double theta,
                                                   int nscales,
                                                   int warps,
                                                   double epsilon,
                                                   int innnerIterations,
                                                   int outerIterations,
                                                   double scaleStep,
                                                   double gamma,
                                                   int medianFiltering,
                                                   boolean useInitialFlow)

    - #### create

          public static DualTVL1OpticalFlow create()

    - #### getUseInitialFlow

          public boolean getUseInitialFlow()

    - #### getEpsilon

          public double getEpsilon()

    - #### getGamma

          public double getGamma()

    - #### getLambda

          public double getLambda()

    - #### getScaleStep

          public double getScaleStep()

    - #### getTau

          public double getTau()

    - #### getTheta

          public double getTheta()

    - #### getInnerIterations

          public int getInnerIterations()

    - #### getMedianFiltering

          public int getMedianFiltering()

    - #### getOuterIterations

          public int getOuterIterations()

    - #### getScalesNumber

          public int getScalesNumber()

    - #### getWarpingsNumber

          public int getWarpingsNumber()

    - #### setEpsilon

          public void setEpsilon(double val)

    - #### setGamma

          public void setGamma(double val)

    - #### setInnerIterations

          public void setInnerIterations(int val)

    - #### setLambda

          public void setLambda(double val)

    - #### setMedianFiltering

          public void setMedianFiltering(int val)

    - #### setOuterIterations

          public void setOuterIterations(int val)

    - #### setScaleStep

          public void setScaleStep(double val)

    - #### setScalesNumber

          public void setScalesNumber(int val)

    - #### setTau

          public void setTau(double val)

    - #### setTheta

          public void setTheta(double val)

    - #### setUseInitialFlow

          public void setUseInitialFlow(boolean val)

    - #### setWarpingsNumber

          public void setWarpingsNumber(int val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `DenseOpticalFlow`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown